Import saved objects

Base URL
https://{kibana_url}
  • POST /api/saved_objects/_import
  • POST /s/{space_id}/api/saved_objects/_import
Auth

Create sets of Kibana saved objects from a file created by the export API. Saved objects can be imported only into the same version, a newer minor on the same major, or the next major. Exported saved objects are not backwards compatible and cannot be imported into an older version of Kibana.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

createNewCopies boolean

Creates copies of saved objects, regenerates each object ID, and resets the origin. When used, potential conflict errors are avoided. NOTE: This option cannot be used with the overwrite and compatibilityMode options.

overwrite boolean

Overwrites saved objects when they already exist. When used, potential conflict errors are automatically resolved by overwriting the destination object. NOTE: This option cannot be used with the createNewCopies option.

compatibilityMode boolean

Applies various adjustments to the saved objects that are being imported to maintain compatibility between different Kibana versions. Use this option only if you encounter issues with imported saved objects. NOTE: This option cannot be used with the createNewCopies option.

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Request body

file object

A file exported using the export API. Changing the contents of the exported file in any way before importing it can cause errors, crashes or data loss. NOTE: The savedObjects.maxImportExportSize configuration setting limits the number of saved objects which may be included in this file. Similarly, the savedObjects.maxImportPayloadBytes setting limits the overall size of the file that can be imported.

Responses

Indicates a successful call.

application/json
errors object[]

Indicates the import was unsuccessful and specifies the objects that failed to import.

Note

One object may result in multiple errors, which requires separate steps to resolve. For instance, a missing_references error and conflict error.

success boolean

Indicates when the import was successfully completed. When set to false, some objects may not have been created. For additional information, refer to the errors and successResults properties.

successCount integer

Indicates the number of successfully imported records.

successResults object[]

Indicates the objects that are successfully imported, with any metadata if applicable.

Note

Objects are created only when all resolvable errors are addressed, including conflicts and missing references. If objects are created as new copies, each entry in the successResults array includes a destinationId attribute.

Bad request.

application/json
error enum required
Values: Bad Request
message string required
statusCode enum required
Values: 400
Base URL
https://{kibana_url}